
				;PIC16F84A@xxv	84A_TEMP_HUMID.ASM


;RA0 = HUMID10 
;RA1 = HUMID1
;RA2 = TEMP10 
;RA3 = TEMP1
;RA4 = INPUT
;MCLR = TO VDD
;RB0 = A 
;RB1 = B 
;RB2 = C
;RB3 = D
;RB4 = E
;RB5 = F
;RB6 = G
;RB7 = NO USE
;OSC1 = 10MHz
;OSC2 = 10MHz
;VDD = 5V
;VSS = 0V

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	list      p=16F84A	; |󎞂ɃXgt@C܂B	;;łǂPICgw肵܂B
	#include <p16F84A.inc>	; 16F84Ap`t@Cǂݍ݂܂B	;;
		
	;ASMt@Cł́u;vE͓ǂݎ܂̂ŒӏȂ藎\łB

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
										@
	__CONFIG _CP_OFF & _WDT_OFF & _PWRTE_ON & _HS_OSC	;ZbN (_HS_OSC͊OɃNbNƂӖj10MHz
	;łB@ɂĂ낢茈߂͂܂A͗ɊoĂB

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	errorlevel  -302	; |󎞂302G[oȂ悤ɂ܂B								
	ORG	000H
	GOTO	INIT 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;---- [` ----
INIT:
	
	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	;vÓuGOTOvȂǂ̖߂Ȃ艺։ւƍ~čs܂B
	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	

	BSF	STATUS,RP0	;BANK1ɐ؂ւ	STATUS,RP0PɂƂӖ

	MOVLW	B'10000'	;RA4͓		i1͓́A 0o͂̈Ӗj
	MOVWF	TRISA		;L̏TRISAiRÅǗj֊i[

	MOVLW	B'00000000'	;RB0`7ׂďo	i1͓́A 0o͂̈Ӗj
	MOVWF	TRISB		;L̏TRISBiRB̊Ǘj֊i[

	MOVLW   B'10000000'
	MOVWF	OPTION_REG

	BCF	STATUS,RP0	;BANK0ɐ؂ւ	STATUS,RP0OɂƂӖ

	;PICɂ͐ݒ肷ӏBANK0BANK1ƂQӏ܂Bo͏BANK1ɂ܂̂STATUS,RP0ƂƂ
	;BANK1ɐ؂ւĐݒ芮BANK0ɖ߂܂B


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	TIMER1		EQU	20H	;^C}[P
	TIMER2		EQU	21H	;^C}[Q
 	COUNTER1	EQU	22H	;JE^[P
	COUNTER2	EQU	23H	;JE^[Q
	HUMID_H		EQU	24H	;xf[^g
	HUMID_L		EQU	25H	;xf[^k
	TEMP_H		EQU	26H	;xf[^g
	TEMP_L		EQU	27H	;xf[^k
	PARITY		EQU	28H	;peB[
	_7SEG		EQU	29H	;VZO\

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN0
	CALL	_1S		;1Sҋ@

MAIN1
	CLRF	PORTA
	CLRF	PORTB

	CALL	START		;MMo͕
	CALL	RES_IN		;MMM
	CALL	COUNT		;lM
	CALL	DISPLAY		;\

	GOTO	MAIN1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
_1S				;1Sҋ@	
;		   GFEDCBA
	MOVLW	B'01100011'
	MOVWF	PORTB
	MOVLW	B'01000'
	MOVWF	PORTA
	
	MOVLW	D'10'
	MOVWF	COUNTER1	;JE^[P

_1S_LOOP1
	MOVLW 	D'255'		;
	MOVWF	TIMER1		;^C}[P

_1S_LOOP2
	MOVLW 	D'255'
	MOVWF	TIMER2		;^C}[Q

_1S_LOOP3
	NOP
	DECFSZ	TIMER2,F	;TIMER2-1=0?
	GOTO	_1S_LOOP3	;NO
				;YES
	DECFSZ	TIMER1,F	;TIMER2-1=0?
	GOTO	_1S_LOOP2	;NO
				;YES
	DECFSZ	COUNTER1,F	;COUNTER1-1=0?
	GOTO	_1S_LOOP1	;NO
	RETURN			;YES



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

START				;MMo͕

	BSF	STATUS,RP0	;BANK1ɐ؂ւ	STATUS,RP0PɂƂӖ

	MOVLW	B'00000'	;RA0`4ׂďo	i1͓́A 0o͂̈Ӗj
	MOVWF	TRISA		;L̏TRISAiRÅǗj֊i[

	BCF	STATUS,RP0	;BANK0ɐ؂ւ	STATUS,RP0OɂƂӖ
	NOP
	NOP

	BCF	PORTA,4		;RA4 ON
	CALL	_18MS		;18mSێ
	BSF	PORTA,4		;RA4 OFF
	NOP
	NOP
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_18MS				;18mSێ
	MOVLW 	D'50'		;50
	MOVWF	TIMER1		;^C}[P

_18MS_LOOP1
	MOVLW 	D'230'
	MOVWF	TIMER2		;^C}[Q

_18MS_LOOP2
	NOP
	DECFSZ	TIMER2,F	;TIMER2-1=0?
	GOTO	_18MS_LOOP2	;NO
				;YES
	DECFSZ	TIMER1,F	;TIMER1-1=0?
	GOTO	_18MS_LOOP1	;NO
	RETURN			;YES

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RES_IN				;MMM

	BSF	STATUS,RP0	;BANK1ɐ؂ւ	STATUS,RP0PɂƂӖ

	MOVLW	B'10000'	;RA4͓		i1͓́A 0o͂̈Ӗj
	MOVWF	TRISA		;L̏TRISAiRÅǗj֊i[

	BCF	STATUS,RP0	;BANK0ɐ؂ւ	STATUS,RP0OɂƂӖ
	NOP
	NOP

RES_IN1	
	BTFSC	PORTA,4		;RA4 LOW?
	GOTO	RES_IN1		;NO
				;YES
	CALL	_70US		;70uSێi80uS`FbNj

	BTFSC	PORTA,4		;RA4 LOW?
	GOTO	MAIN0		;NO
				;YES
RES_IN2
	BTFSS	PORTA,4		;RA4 HIGH?
	GOTO	RES_IN2		;NO
				;YES
	CALL	_70US		;70uSێi80uS`FbNj

	BTFSS	PORTA,4		;RA4 HIGH?
	GOTO	MAIN0		;NO
				;YES
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_70US				;70uSێ
	MOVLW 	D'44'
	MOVWF	TIMER1		;^C}[P

_70US_LOOP
	NOP
	DECFSZ	TIMER1,F	;TIMER1-1=0?
	GOTO	_70US_LOOP	;NO
	RETURN			;YES

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

COUNT				;lM

COUNT_HUMID_H			;xf[^g
	MOVLW	D'8'
	MOVWF	COUNTER1	;JE^[P

COUNT_HUMID_H1	
	CALL	DATA_CHECK	;f[^`FbN

	RLF	HUMID_H,F
	DECFSZ	COUNTER1	;COUNTER1-1=0?
	GOTO	COUNT_HUMID_H1	;NO
				;YES

COUNT_HUMID_L			;xf[^k
	MOVLW	D'8'
	MOVWF	COUNTER1	;JE^[P

COUNT_HUMID_L1	
	CALL	DATA_CHECK	;f[^`FbN

	RLF	HUMID_L,F
	DECFSZ	COUNTER1	;COUNTER1-1=0?
	GOTO	COUNT_HUMID_L1	;NO
				;YES

COUNT_TEMP_H			;xf[^g
	MOVLW	D'8'
	MOVWF	COUNTER1	;JE^[P

COUNT_TEMP_H1	
	CALL	DATA_CHECK	;f[^`FbN

	RLF	TEMP_H,F
	DECFSZ	COUNTER1	;COUNTER1-1=0?
	GOTO	COUNT_TEMP_H1	;NO
				;YES

COUNT_TEMP_L			;xf[^k
	MOVLW	D'8'
	MOVWF	COUNTER1	;JE^[P

COUNT_TEMP_L1	
	CALL	DATA_CHECK	;f[^`FbN

	RLF	TEMP_L,F
	DECFSZ	COUNTER1	;COUNTER1-1=0?
	GOTO	COUNT_TEMP_L1	;NO
				;YES

COUNT_PARITY			;peB[
	MOVLW	D'8'
	MOVWF	COUNTER1	;JE^[P

COUNT_PARITY1	
	CALL	DATA_CHECK	;f[^`FbN

	RLF	PARITY,F
	DECFSZ	COUNTER1	;COUNTER1-1=0?
	GOTO	COUNT_PARITY1	;NO
				;YES
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATA_CHECK			;f[^`FbN
	BTFSC	PORTA,4		;RA4 LOW?
	GOTO	DATA_CHECK	;NO
				;YES
DATA_CHECK1
	BTFSS	PORTA,4		;RA4 HIGH?
	GOTO	DATA_CHECK1	;NO
				;YES

	CALL	_40US		;40uSێ

	BTFSS	PORTA,4		;RA4 HIGH?
	GOTO	DATA_CHECK2	;NO
	GOTO	DATA_CHECK3	;YES

DATA_CHECK2			;O
	BCF	STATUS,C	
	RETURN

DATA_CHECK3			;P
	BSF	STATUS,C
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

_40US				;40uSێ
	MOVLW 	D'25'
	MOVWF	TIMER1		;^C}[P

_40US_LOOP
	NOP
	DECFSZ	TIMER1,F	;TIMER1-1=0?
	GOTO	_40US_LOOP	;NO
	RETURN			;YES

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DISPLAY				;\

	MOVLW	D'255'
	MOVWF	COUNTER1

DISPLAY1
	MOVLW	D'5'
	MOVWF	COUNTER2

DISPLAY2
				;x@10̈ʁ
	CLRF	PORTB		;RB ALL 0
	MOVLW	B'00001'
	MOVWF	PORTA		;RA0 ON

	MOVF	HUMID_H,W	;x	
	MOVWF	_7SEG		;HUMID_Hl_7SEG֑
	CALL	PTN10		;10̈
	MOVWF	PORTB
	CALL	DISPLAY_TIME	;\

				;x@1̈ʁ
	CLRF	PORTB		;RB ALL 0
	MOVLW	B'00010'
	MOVWF	PORTA		;RA1 ON

	MOVF	HUMID_H,W	;x	
	MOVWF	_7SEG		;HUMID_Hl_7SEG֑
	CALL	PTN1		;1̈
	MOVWF	PORTB
	CALL	DISPLAY_TIME	;\

				;x@10̈ʁ
	CLRF	PORTB		;RB ALL 0
	MOVLW	B'0100'
	MOVWF	PORTA		;RA2 ON

	MOVF	TEMP_H,W	;x	
	MOVWF	_7SEG		;TEMP_Hl_7SEG֑
	CALL	PTN10		;10̈
	MOVWF	PORTB
	CALL	DISPLAY_TIME	;\

				;x@1̈ʁ
	CLRF	PORTB		;RB ALL 0
	MOVLW	B'1000'
	MOVWF	PORTA		;RA3 ON

	MOVF	TEMP_H,W	;x	
	MOVWF	_7SEG		;TEMP_Hl_7SEG֑
	CALL	PTN1		;1̈
	MOVWF	PORTB
	CALL	DISPLAY_TIME	;\

	DECFSZ	COUNTER2,F	;COUNTER2-1=0?
	GOTO	DISPLAY2	;NO
				;YES
	DECFSZ	COUNTER1,F	;COUNTER1-1=0?
	GOTO	DISPLAY1	;NO
				;YES
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DISPLAY_TIME			;\
	MOVLW	D'255'
	MOVWF	TIMER1

DISPLAY_TIME_LOOP
	NOP
	DECFSZ	TIMER1,F	;TIMER1-1=0?
	GOTO	DISPLAY_TIME_LOOP	;NO
	RETURN			;YES

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	100H
PTN10
	MOVLW	H'01'
	MOVWF	PCLATH	; e[u 0x100`0x1FFԒnɑ

	MOVF	_7SEG,W
	ADDWF	PCL,F

		   GFEDCBA	
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;
	RETLW	B'00000000'	;

	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1

	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2

	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3
	RETLW	B'01001111'	;3

	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4

	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5

	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6

	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7
	RETLW	B'00000111'	;7

	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8

	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

PTN1
	MOVLW	H'01'
	MOVWF	PCLATH	; e[u 0x100`0x1FFԒnɑ

	MOVF	_7SEG,W
	ADDWF	PCL,F

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	END


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;		   GFEDCBA	
	RETLW	B'00111111'	;0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5
	RETLW	B'01111101'	;6
	RETLW	B'00000111'	;7
	RETLW	B'01111111'	;8
	RETLW	B'01101111'	;9
	RETLW	B'01000000'	;-

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

